> For the complete documentation index, see [llms.txt](https://help.recart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.recart.com/developers/public-api/subscription/initiate-sms-subscription.md).

# Initiate SMS subscription

Trigger an SMS subscription flow in Recart. It sends the associated welcome flow to the recipient. Flow must be active to comply TCPA regulations.

```json
{"openapi":"3.1.0","info":{"title":"Recart API","version":"2023-12"},"tags":[{"name":"Subscription","description":"Subscriptions"}],"servers":[{"url":"https://api.recart.com/app-integrations/2023-12","description":"Production"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Recart-API-Key","description":"It can be obtained in Recart account after contacting Support"}},"schemas":{"PostSubscription":{"type":"object","required":["type","attributes"],"properties":{"type":{"type":"string","enum":["subscriptions"]},"attributes":{"type":"object","description":"Attributes of the subscriber","required":["phoneNumber","source"],"properties":{"phoneNumber":{"type":"string","description":"Preferably E.164 format"},"source":{"type":"object","required":["category","name"],"properties":{"category":{"type":"string","description":"Source category"},"name":{"type":"string","description":"Source name"},"externalId":{"type":"string","description":"Optional identifier"}}},"browser":{"type":"object","properties":{"userAgent":{"type":"string","description":"User agent of the browser"},"language":{"type":"string","description":"Language of the browser"},"url":{"type":"string","format":"uri","description":"URL of the browser page"}}},"sessionId":{"type":"string","description":"Recart identifier of the purchase session.  Use `_recart.getSessionId()` on the merchant's store when Recart script is running."},"shopperId":{"type":"string","deprecated":true,"description":"Deprecated: the `_recart.getShopperId()` method used to source this value has been removed and there is no replacement. This field is retained for backward compatibility but should no longer be relied upon."},"firstName":{"type":"string","description":"First name of the subscriber"},"lastName":{"type":"string","description":"Last name of the subscriber"},"timezone":{"type":"string","description":"Timezone of the subscriber"},"location":{"type":"object","properties":{"city":{"type":"string","description":"City"},"province":{"type":"string","description":"Province"},"zip":{"type":"string","description":"ZIP code"},"country":{"type":"string","description":"Country"},"ipAddress":{"type":"string","format":"ipv4","description":"IP address of the subscriber"}}}}}}},"HttpErrorBody":{"type":"object","required":["errors"],"properties":{"errors":{"type":"array","items":{"type":"object","required":["id","code","title","detail"],"properties":{"id":{"type":"string"},"code":{"type":"string"},"title":{"type":"string"},"detail":{"type":"string"}}}}}}},"responses":{"HttpError":{"description":"HTTP Error response","content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/HttpErrorBody"}}}}}},"paths":{"/subscriptions":{"post":{"summary":"Initiate SMS subscription","tags":["Subscription"],"operationId":"postSubscription","description":"Trigger an SMS subscription flow in Recart. It sends the associated welcome flow to the recipient. Flow must be active to comply TCPA regulations.\n","requestBody":{"required":true,"content":{"application/vnd.api+json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/PostSubscription"}}}}}},"responses":{"202":{"description":"Accepted"},"4XX":{"$ref":"#/components/responses/HttpError"},"5XX":{"$ref":"#/components/responses/HttpError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.recart.com/developers/public-api/subscription/initiate-sms-subscription.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
